"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultEventTypes = exports.OrchestratorServiceBindings = void 0;
const context_1 = require("@loopback/context");
const BINDING_PREFIX = `arc-saas`;
var OrchestratorServiceBindings;
(function (OrchestratorServiceBindings) {
    OrchestratorServiceBindings.TIER_DETAILS_PROVIDER = context_1.BindingKey.create(`${BINDING_PREFIX}.providers.tier-details`);
    OrchestratorServiceBindings.TENANT_PROVISIONING_HANDLER = context_1.BindingKey.create(`${BINDING_PREFIX}.providers.tenant-provisioning-handler`);
    OrchestratorServiceBindings.TENANT_DEPROVISIONING_HANDLER = context_1.BindingKey.create(`${BINDING_PREFIX}.providers.tenant-deprovisioning-handler`);
    OrchestratorServiceBindings.TENANT_PROVISIONING_SUCCESS_HANDLER = context_1.BindingKey.create(`${BINDING_PREFIX}.providers.tenant-provisioning-success-handler`);
    OrchestratorServiceBindings.TENANT_PROVISIONING_FAILURE_HANDLER = context_1.BindingKey.create(`${BINDING_PREFIX}.providers.tenant-provisioning-failure-handler`);
    OrchestratorServiceBindings.TENANT_DEPLOYMENT_HANDLER = context_1.BindingKey.create(`${BINDING_PREFIX}.providers.tenant-deployment-handler`);
    OrchestratorServiceBindings.BUILDER_SERVICE = context_1.BindingKey.create(`${BINDING_PREFIX}.services.builder-service`);
    OrchestratorServiceBindings.ORCHESTRATOR_SERVICE = context_1.BindingKey.create(`${BINDING_PREFIX}.services.orchestrator-service`);
})(OrchestratorServiceBindings || (exports.OrchestratorServiceBindings = OrchestratorServiceBindings = {}));
var DefaultEventTypes;
(function (DefaultEventTypes) {
    DefaultEventTypes["TENANT_PROVISIONING"] = "TENANT_PROVISIONING";
    DefaultEventTypes["TENANT_DEPROVISIONING"] = "TENANT_DEPROVISIONING";
    DefaultEventTypes["TENANT_PROVISIONING_SUCCESS"] = "TENANT_PROVISIONING_SUCCESS";
    DefaultEventTypes["TENANT_PROVISIONING_FAILURE"] = "TENANT_PROVISIONING_FAILURE";
    DefaultEventTypes["TENANT_DEPLOYMENT"] = "TENANT_DEPLOYMENT";
    DefaultEventTypes["TENANT_DEPLOYMENT_SUCCESS"] = "TENANT_DEPLOYMENT_SUCCESS";
    DefaultEventTypes["TENANT_DEPLOYMENT_FAILURE"] = "TENANT_DEPLOYMENT_FAILURE";
})(DefaultEventTypes || (exports.DefaultEventTypes = DefaultEventTypes = {}));
//# sourceMappingURL=types.js.map